### Hierarchy

- TensorScriptModelContext
  - TensorScriptLSTMModelContext

## Index

### Properties

- compiled
- createDataset
- getInputShape
- getTimeseriesShape
- layers
- model
- reshape
- settings
- tf
- trained
- type
- xShape
- yShape

## Properties

### compiled

compiled: boolean

Inherited from TensorScriptContext.compiled

- Defined in src/model_interface.ts:14

### createDataset

createDataset: (...args: any[]) => any

- Defined in src/model_interface.ts:27

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### getInputShape

getInputShape: (...args: any[]) => any

Inherited from TensorScriptModelContext.getInputShape

- Defined in src/model_interface.ts:23

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### getTimeseriesShape

getTimeseriesShape: (...args: any[]) => any

- Defined in src/model_interface.ts:28

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### Optional layers

layers: TensorScriptSavedLayers

Overrides TensorScriptContext.layers

- Defined in src/model_interface.ts:29

### model

model: any

Inherited from TensorScriptModelContext.model

- Defined in src/model_interface.ts:20

### reshape

reshape: (...args: any[]) => any

Inherited from TensorScriptModelContext.reshape

- Defined in src/model_interface.ts:22

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### settings

settings: TensorScriptOptions

Inherited from TensorScriptContext.settings

- Defined in src/model_interface.ts:12

### tf

tf: any

Inherited from TensorScriptModelContext.tf

- Defined in src/model_interface.ts:21

### trained

trained: boolean

Inherited from TensorScriptContext.trained

- Defined in src/model_interface.ts:13

### Optional type

type: undefined | string

Inherited from TensorScriptContext.type

- Defined in src/model_interface.ts:11

### Optional xShape

xShape: number[]

Inherited from TensorScriptContext.xShape

- Defined in src/model_interface.ts:15

### Optional yShape

yShape: number[]

Inherited from TensorScriptContext.yShape

- Defined in src/model_interface.ts:16